### Constructor

# Camel MimeFilterProgress new

since: 2.24

#### Declaration [src]

    CamelMimeFilter*
    camel_mime_filter_progress_new (
      GCancellable* cancellable,
      gsize total
    )

#### Description [src]

Create a new `CamelMimeFilterProgress` object that will report streaming progress. While the function will silently accept `cancellable` being `NULL` or a plain `GCancellable` for convenience sake, no progress will be reported unless `cancellable` is a `CamelOperation`.

Available since: 2.24

#### Parameters

`cancellable`

  Type: `GCancellable`

  A `CamelOperation` cast as a `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`total`

  Type: `gsize`

  Total number of bytes to report progress on.

#### Return value

Type: `CamelMimeFilter`

A new `CamelMimeFilter` object.

The caller of the function takes ownership of the data, and is responsible for freeing it.